This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 123197 - Alt-tab switching fails, abnormal workspace-switcher behavior
Alt-tab switching fails, abnormal workspace-switcher behavior
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-13 15:17 EDT by Robert Neece
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:21:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Neece 2004-05-13 15:17:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
(I have some concern over which component this should be reported under.)
After restart and login to a gnome session, Alt-tab will not switch to
an open terminal window (part of saved setup).  Cntl-Alt-(arrow)
switches workspace successfully, but flashes a glimpse of another
workspace.  Alt-tab will not switch to (activate) an open terminal in
the just-entered workspace.

The mouse can be used to select a terminal.  Subsequently, Alt-tab
switching works in that workspace, but changing workspaces again (e.g.
via Cntl-Alt-(arrow)) results in Alt-tab switching to the previously
selected terminal in the previous workspace without the workspace
changing.  In other words, you end up with no selected window in your
current workspace.

Repeated Alt-tabbing, just to be obnoxious, may lock up X.  After
another restart, the problem repeats until a window containing another
app is opened.  Then behavior returns to mormal.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. close all apps, but leave a terminal window or 2 in each workspace 
2. logout, saving current setup, restart for good measure
3. log into gnome
4. Alt-tab to activate a terminal window (fails)
5. Cntl-Alt-(arrow) to another workspace (flashes back to first
workspace), but makes the change
6. Alt-tab to choose/activate an open terminal window (fails)
7. click in a terminal window (works)
8. Cntl-Alt-(arrow) to another workspace (flashes previous workspace)
9. Alt-tab to select a terminal in the workspace (alternately
activates a terminal in previous workspace - go look for it)
10. open an application from a launcher (problems go away)
    

Actual Results:  (see notes in Steps to Reproduce)
Initial use of Alt-tab switching fails.  Initial use of
Cntl-Alt-(arrow) workspace switching behaves abnormally.  Alt-tab
switches to windows outside the active workspace.  Alt-tab leaves an
active (flashing) cursor in an inactive terminal window.

Expected Results:  On entering a workspace, Alt-tab should activate an
existing window -- in this case a terminal.  Cntl-Alt-(arrow) should
switch smoothly to another workspace, with no flashing of other
workspace images.  Alt-tab switching should move between windows in
the current workspace only.  An active (flashing) cursor should not
appear in an inactive terminal window.

Additional info:

The problem may appear after returning from a screen-lock condition. 
Other strange behavior was noted when Alt-tab failed to select a
terminal window -- typing "cd .." activated the screen saver and
locked the screen.  This was repeatable until I wised up to the fact
that no terminal window was active (in spite of the flashing cursor).
 Once a window had been selected using the mouse, I couldn't cd to the
screen saver anymore.
Comment 1 Havoc Pennington 2004-11-09 23:53:09 EST
I'm not sure I understand this report, but quite a few issues related
to focus and alt+tab have been fixed in the FC3 metacity, so maybe
give that a try and let me know if it's resolved.
Comment 2 Ray Strode [halfline] 2005-05-11 17:21:46 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.